Bug 1887439 - Firefox may freeze system when hovering over objects with mouse cursor
Summary: Firefox may freeze system when hovering over objects with mouse cursor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 33
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-12 13:35 UTC by itrymybest80
Modified: 2021-11-30 16:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 16:45:54 UTC
Type: Bug


Attachments (Terms of Use)

Description itrymybest80 2020-10-12 13:35:57 UTC
Description of problem: when jumping around various tabs or hovering over markdown menus (bookmarks, icons, etc), Firefox may come to a stall, freezing my system.


Version-Release number of selected component (if applicable): firefox-81.0.1-5.fc33.x86_64


How reproducible: unknown, but has happened 3 times since upgrading to fedora 33.


Steps to Reproduce:
1. run firefox in fullscreen, jump between window/tabs, bookmarks and hover over them or plugin icons with your mouse cursor.
2. eventually you'll trigger it; if not a system freeze, then an application crash or strange things happen; bookmarks scroll menu going outside of your window or not opening at all, etc.


Actual results: as soon as i saw my mouse cursor hover over one of my plugin icons and it changed colored (as in being highlighted) my system froze.


Expected results: no interruptions or having to hard reset your system.


Additional info: gnome/wayland, latest mesa 20.2 drivers.


01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 470/480/570/570X/580/580X/590] (rev e7) (prog-if 00 [VGA controller])
	Subsystem: Micro-Star International Co., Ltd. [MSI] Device 3417
	Flags: bus master, fast devsel, latency 0, IRQ 138
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Memory at d0000000 (64-bit, prefetchable) [size=2M]
	I/O ports at e000 [size=256]
	Memory at dfe00000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: amdgpu
	Kernel modules: amdgpu

Comment 1 Ben Cotton 2021-11-04 17:13:47 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2021-11-30 16:45:54 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.